## elph 1.0.1

=== sources/Makefile ===
CLASSDIR := .

# Directories to search for header files
SEARCHDIRS := -I- -I${CLASSDIR}


SYSTYPE :=     $(shell uname)

# C compiler

CC      := g++
CFLAGS  = -Wall ${SEARCHDIRS} -fno-exceptions -fno-rtti -D_REENTRANT -g

%.o : %.c
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cc
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.C
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cpp
	${CC} ${CFLAGS} -c $< -o $@

%.o : %.cxx
	${CC} ${CFLAGS} -c $< -o $@

# C/C++ linker

LINKER    := g++
LDFLAGS    =
LOADLIBES := 

.PHONY : all
all:    elph

elph:  ./elph.o ${CLASSDIR}/motif.o ${CLASSDIR}/GBase.o ${CLASSDIR}/GString.o ${CLASSDIR}/GArgs.o
	${LINKER} ${LDFLAGS} -o $@ ${filter-out %.a %.so, $^} ${LOADLIBES}

# target for removing all object files

.PHONY : tidy
tidy::
	@${RM} core elph *.o ${CLASSDIR}/GBase.o ${CLASSDIR}/GString.o ${CLASSDIR}/GArgs.o

# target for removing all object files

.PHONY : clean
clean:: tidy
	@${RM} core elph *.o ${CLASSDIR}/GBase.o ${CLASSDIR}/GString.o ${CLASSDIR}/GArgs.o

=== debian/changelog ===
elph (1.0.1-5) unstable; urgency=medium

  * Team Upload.
  * compat version: 13
  * Add "Rules-Requires-Root:no"
  * Add autopkgtests
  * Bump standards version to 4.5.0
  * Add salsa-ci.yml

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 30 Jun 2020 20:41:48 +0530

elph (1.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #942115)
    + Let dh_auto_build pass cross tools to make.
    + Also override LINKER.
    + Build twice for help2man.

  [ Andreas Tille ]
  * Switch to DEP3
  * enhance description

 -- Andreas Tille <tille@debian.org>  Thu, 10 Oct 2019 20:52:20 +0200

elph (1.0.1-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Review watch file
  * cme fix dpkg-control
  * Standards-Version: 4.4.1
  * Enable building with clang (thanks for the hint to Luke Benes
    <lukebenes@hotmail.com>)

  [ Chris Lamb ]
  * Make build reproducible
    Closes: #942005

  [ Andreas Tille ]
  * debhelper-compat 12
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Wed, 09 Oct 2019 07:46:01 +0200

elph (1.0.1-2) unstable; urgency=medium

  * d/control: Added help2man build dependency (Closes: 907967),
               many thanks to Adrian for the report.
  * d/control: Team maintenance.
  * d/u/metadata: Registry references

 -- Steffen Moeller <moeller@debian.org>  Wed, 05 Sep 2018 12:42:03 +0200

elph (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #907690)

 -- Steffen Moeller <moeller@debian.org>  Fri, 31 Aug 2018 12:34:08 +0200

=== debian/control ===
Source: elph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               help2man
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/elph
Vcs-Git: https://salsa.debian.org/med-team/elph.git
Homepage: https://www.cbcb.umd.edu/software/ELPH/
Rules-Requires-Root: no

Package: elph
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: DNA/protein sequence motif finder
 ELPH (Estimated Locations of Pattern Hits) is a general-purpose
 Gibbs sampler for finding motifs in a set of DNA or protein sequences.
 The program takes as input a set containing anywhere from a few dozen to
 thousands of sequences, and searches through them for the most common
 motif, assuming that each sequence contains one copy of the motif. ELPH
 was used to find patterns such as ribosome binding sites (RBSs) and exon
 splicing enhancers (ESEs).

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, igor
Restrictions: allow-stderr

=== debian/watch ===
version=4

# Activate opts=passive in case of trouble
# opts="passive" \
ftp://ftp.cbcb.umd.edu/pub/software/elph/ELPH-(.*)\.tar\.gz
